/*
 * testObserver.cpp
 *
 *  Created on: 07/giu/2012
 *      Author: bertini
 */


#include "Timer.h"
#include "AnalogClock.h"

int main() {

	Timer aTimer;
	AnalogClock* rolex = new AnalogClock( &aTimer );
	rolex->attach();

	aTimer.tick();
	aTimer.tick();
	rolex->detach();
	aTimer.setSeconds( aTimer.getSecond() + 100 ); // this change won't be notified because the observer has detached
	rolex->attach(); // asking again to receive notifications
	aTimer.tick();

}

